#ifndef __TIMER_H__
#define __TIMER_H__

#include <STC15.H>

#include "config.h"

// #define FOSC 30000000UL  // 系统时钟30MHz

// 初始化所有Timer
void Timer_Init (void);

// Timer3 用于记录系统运行时间
void Timer3_Init (void);
uint32_t GetUpTime (void);

// Timer4 用于短时间延时
void Timer4_Init (void);
void Timer4_DelayUs (u16 us);
void Timer4_DelayMs (u16 ms);
void Timer4_Stop (void);

#endif